# Fabric Cloud Router Packages ## Prerequisites Authenticate - Submit your user credentials, Client ID, and Client Secret for OAuth2 authentication. Refer to [API Authentication](https://docs.equinix.com/equinix-api/api-authentication.md) for instructions on how to call the OAuth API to validate and authenticate your credentials. ## Get All Fabric Cloud Router Packages To list all Fabric Cloud Router packages, send a `GET` request to the [/fabric/v4/routerPackages](#) endpoint. Use the optional query parameters to control pagination. | | **GET /fabric/v4/routerPackages** | | ---------------- | --------------------------------- | | Method | `GET` | | URL or Endpoint | `/fabric/v4/routerPackages` | | Headers | `Authorization`, `Content-Type` | | Path Parameters | Not applicable | | Query Parameters | `offset`, `limit` | | Body Parameters | Not applicable | Sample curl request: ``` curl -X GET 'https://api.equinix.com/fabric/v4/routerPackages' -H 'content-type: application/json' -H 'authorization: Bearer ' ``` Query parameters: * `offset` (optional) *integer* - Index of the first item returned in the response. Defaults to `0`. * `limit` (optional) *integer* - Maximum number of items returned per page. Defaults to `20`. Sample response: ``` {     "pagination": {         "offset": 0,         "limit": 20,         "total": 1     },     "data": [         {             "href": "https://api.equinix.com/fabric/v4/routerPackages/STANDARD",             "type": "ROUTER_PACKAGE",             "code": "STANDARD",             "description": "string",             "totalIPv4RoutesMax": 1000,             "totalIPv6RoutesMax": 100,             "routeFilterSupported": true,             "vcBandwidthMax": 10000,             "vcCountMax": 10, "crCountMax": 3,             "changeLog": {                 "createdDateTime": "2022-02-10T00:14:47Z",                 "updatedDateTime": "2022-02-10T00:14:47Z"             }         }     ] } ``` ## Get Specified Fabric Cloud Router Package To get the details of a Fabric Cloud Router package, send a `GET` request to the [`/fabric/v4/routerPackages/{routerPackageCode}`](https://docs.equinix.com/api-catalog/fabricv4.md#operation/getCloudRouterPackageByCode) endpoint. | | **GET /fabric/v4/routerPackages/{routerPackageCode}** | | ---------------- | ----------------------------------------------------- | | Method | `GET` | | URL or Endpoint | `/fabric/v4/routerPackages/{routerPackageCode}` | | Headers | `Authorization`, `Content-Type` | | Path Parameters | `routerPackageCode` | | Query Parameters | Not applicable | | Body Parameters | Not applicable | Sample curl request: ``` curl -X GET 'https://api.equinix.com/fabric/v4/routerPackages/{routerPackageCode}' -H 'content-type: application/json' -H 'authorization: Bearer ' ``` Path parameter: * `routerPackageCode` (required) *string* - Fabric Cloud Router package identifier. Applicable values: `LAB`, `STANDARD`, `ADVANCED`, `PREMIUM`. Sample response: ``` {     "href": "https://api.equinix.com/fabric/v4/routerPackages/STANDARD",     "type": "ROUTER_PACKAGE",     "code": "STANDARD",     "description": "string",     "totalIPv4RoutesMax": 1000, "totalIPv6RoutesMax": 100, "routeFilterSupported": true, "vcBandwidthMax": 10000, "vcCountMax": 10, "crCountMax": 3,     "changeLog": {         "createdDateTime": "2022-01-24T10:28:51.024Z",         "updatedDateTime": "2022-01-24T10:28:51.024Z"     } } ```